|
马上注册登录,享用更多网站功能!
您需要 登录 才可以下载或查看,没有帐号?立即注册
x
Private Sub CommandButton1_Click()
Call DrawArc
End Sub
Private Sub DrawArc()
Dim NewArcObj As AcadArc
Dim Center As Variant, Radius As Double
Dim StartAngle As Double, EndAngle As Double
With ThisDrawing.Utility
Center = .GetPoint(, vbCr & "Enter the center point OR Click on center point:")
Radius = .GetDistance(Center, vbCr & "Enter the raduis:")
StartAngle = .GetAngle(Center, vbCr & "Enter the start angle:")
EndAngle = .GetAngle(Center, vbCr & "Enter the end angle:")
End With
Set NewArcObj = ThisDrawing.ModelSpace.AddArc(Center, Radius, StartAngle, EndAngle)
NewArcObj.Update
End Sub
‘错误提示:autocad主窗口不可见。
说明:有人说要关闭程序窗口,我加了unload me , 也不好用
autocad版本为2004
谢谢指教。 |
|